Bug 437106 - Calc crashes on 'format cells'
Calc crashes on 'format cells'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 09:59 EDT by Mikko Huhtala
Modified: 2008-03-16 15:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.6-21.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-16 15:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Stack trace given by Calc after the crash. (10.85 KB, text/plain)
2008-03-12 10:01 EDT, Mikko Huhtala
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 83991 None None None Never

  None (edit)
Description Mikko Huhtala 2008-03-12 09:59:21 EDT
Description of problem:

Calc crashes whenever 'Format Cells' is attempted.

Version-Release number of selected component (if applicable):

openoffice.org-calc-2.3.0-6.5.fc7
openoffice.org-core-2.3.0-6.5.fc7
openoffice.org-base-2.3.0-6.5.fc7
kernel-PAE-2.6.23.15-80.fc7
glibc-2.6-4

How reproducible:

Always.

Steps to Reproduce:
1. Start Calc.
2. Right-click on a cell and select 'Format Cells'

  
Actual results:

Crash.

Expected results:

Some cell formatting.

Additional info:

Will attach the stack trace.
Comment 1 Mikko Huhtala 2008-03-12 10:01:23 EDT
Created attachment 297764 [details]
Stack trace given by Calc after the crash.
Comment 2 Caolan McNamara 2008-03-12 11:12:26 EDT
Hmm, a crash in icu. What's the output of rpm -q libicu ?
Comment 3 Mikko Huhtala 2008-03-12 11:44:22 EDT
> rpm -q libicu

libicu-3.6-20.fc7
Comment 4 Caolan McNamara 2008-03-12 12:13:40 EDT
I suspect there was a new font added to the system which triggers this problem,
e.g. one of the new malayalam microsoft fonts like Kartika
Comment 5 Caolan McNamara 2008-03-12 15:44:23 EDT
If you are able to, can you try and download 
http://koji.fedoraproject.org/packages/icu/3.6/21.fc7/i386/libicu-3.6-21.fc7.i386.rpm
and rpm --upgrade it and see if that fixes the problem ?
Comment 6 Mikko Huhtala 2008-03-12 18:36:35 EDT
Ah yes indeed, Kartika is present. I have a set of fonts ripped from an
installation of that other OS, packaged as a rpm and installed on a number of
Fedora boxes. I did the ripping at least two years ago, so that version of
Kartika et al. are not 'new'.
Comment 7 Mikko Huhtala 2008-03-12 18:42:22 EDT
The libicu from Koji (comment #5) does fix this for me. 'Format Cells' now works
with all the fonts installed. Thanks a lot.
Comment 8 Fedora Update System 2008-03-13 05:58:19 EDT
icu-3.6-21.fc7 has been submitted as an update for Fedora 7
Comment 9 Fedora Update System 2008-03-16 15:29:41 EDT
icu-3.6-21.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.